com.jscape.inet.mft.subsystems.transport.http.uploadforms

## Class Form

- java.lang.Object
- - com.jscape.inet.mft.subsystems.transport.http.uploadforms.Form

-     public class Form
      extends java.lang.Object

  Upload form. Contains neccessary data for rendering an HTML form and generating File Upload Events.
  Author:
    Alex Usun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Form()` Creates a new form instance.
    `Form(Form that)`
    `Form(java.lang.String name, java.lang.String description, boolean enabled, boolean batch, java.lang.String group, FormElement[] elements)` Creates a new form instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getDescription()` Returns form description.
    `FormElement[]` | `getElements()` Returns form elements.
    `java.lang.String` | `getGroup()` Returns a form group.
    `java.lang.String` | `getName()` Returns form name.
    `int` | `hashCode()`
    `boolean` | `isBatch()` Returns form batch flag.
    `boolean` | `isEnabled()` Returns form enabled flag.
    `void` | `setBatch(boolean value)` Sets form batch flag.
    `void` | `setDescription(java.lang.String value)` Sets a new form description.
    `void` | `setElements(FormElement[] value)` Sets form elements.
    `void` | `setEnabled(boolean value)` Sets from enabled flag.
    `void` | `setGroup(java.lang.String value)` Sets a new form group.
    `void` | `setName(java.lang.String value)` Sets a new form name.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Form

          public Form(java.lang.String name,
                      java.lang.String description,
                      boolean enabled,
                      boolean batch,
                      java.lang.String group,
                      FormElement[] elements)

      Creates a new form instance.
      Parameters:
        `name` - a forma name
        `description` - a form description
        `enabled` - if `true` form is marked as enabled
        `batch` - if `true` form is used for batch file upload
        `group` - a group name
        `elements` - form elements

    - #### Form

          public Form()

      Creates a new form instance. Used in serialization sub-system.

    - #### Form

          public Form(Form that)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns form name.
      Returns:
        a form name

    - #### setName

          public void setName(java.lang.String value)

      Sets a new form name.
      Parameters:
        `value` - a new form name

    - #### getDescription

          public java.lang.String getDescription()

      Returns form description.
      Returns:
        a form description

    - #### setDescription

          public void setDescription(java.lang.String value)

      Sets a new form description.
      Parameters:
        `value` - a new form description

    - #### isEnabled

          public boolean isEnabled()

      Returns form enabled flag.
      Returns:
        `true` if form is enabled; `false` otherwise

    - #### setEnabled

          public void setEnabled(boolean value)

      Sets from enabled flag.
      Parameters:
        `value` - if `true` form is marked as enabled

    - #### isBatch

          public boolean isBatch()

      Returns form batch flag.
      Returns:
        `true` if form may be used for batch file upload; `false` otherwise

    - #### setBatch

          public void setBatch(boolean value)

      Sets form batch flag.
      Parameters:
        `value` - if `true` form will be used for batch file upload

    - #### getGroup

          public java.lang.String getGroup()

      Returns a form group.
      Returns:
        a form group

    - #### setGroup

          public void setGroup(java.lang.String value)

      Sets a new form group.
      Parameters:
        `value` - a new form group

    - #### getElements

          public FormElement[] getElements()

      Returns form elements.
      Returns:
        form elements

    - #### setElements

          public void setElements(FormElement[] value)

      Sets form elements.
      Parameters:
        `value` - form elements

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2019. All Rights Reserved